Subject: Utility for tab_separated_text

From: [email-masked]
Date: Sun, 12 Feb 95 0:56:06 EST

Hi all,
   I am working on a project where I will have a need for a utility
that will take an arbitrary Postquel query and return the result as
tab separated text, suitable for importing into (for example) a
spreadsheet.   
   I know that the "Copy" command will copy an entire class into
a tab separated file.  However, the relations I will be working with
may grow quite large, and so it would be much more convenient to not
have to edit down the rows and columns of a complete dump.
   Before I go about writing such a thing:

1) Does anybody already have such a beast written?  

2) Or, failing that code scraps (beyond the examples in the
   std. postgres distribution) that might be helpful?

3) Or, failing that, just helpful advice for a neophyte in working with
   postgres, attempting his first libpq programming project?

Thanks for your help

--Phill Conrad					      [email-masked]
--Ph. D. Student -- Dept. of Computer and Info. Science -- Univ. of Delaware

(PS: A related utility, or perhaps a command switch? would be to write
out the results of a query to a LaTeX {tabular} environment, with column
headings=the attribute names.)

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]".
   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================
              URL: http://s2k-ftp.CS.Berkeley.EDU:8000/postgres/